### Example of nesting inside a map ###

# person:
#   name: John
#   age: 30
#   profile: Devloper
#   skills:
#       programing:
#         proficiency: Advanced
#         experience: 5
#         languages:
#           - python
#           - Java Script
#           - Java
#       public_speaking:
#         proficiency: intermediate
#         experience: 2


### Examples for nesting inside list ###

### list of list

# - - Firewall # Main List
#   - 10.0.0.1
#   - 20.0.0.1
#   - - Rules # list contains another list
#     - Allow HTTP
#     - Allow SNMP
    

### List of maps  ###

- Confiugure NTP service:
    name: ntp 
    enabled: true
    servers:
      - ntp.example.com
      - time.server.net

- configure SNMP service:
    name: snmp 
    enabled: true
    community_string: public
    traps:
      - host: snmp-trap-server.example.com
      